% Jerome Belleman <Jerome.Belleman@cern.ch>, March 2015
% Modified by Romain Goncalves <romain.goncalves@edu.univ-fcomte.fr>, November 2019

\usepackage{calc}
\mode<presentation>

\def\iconpath{/usr/share/texmf-dist/tex/latex/beamer/iutbmfigures/}

% COLOREDBOX
\newlength{\footlinedp}
\setlength{\footlinedp}{7mm * \ratio{128mm}{254mm}}
\newlength{\footlineht}
\setlength{\footlineht}{20mm * \ratio{128mm}{254mm} - \footlinedp}
\newlength{\footlinesk}
\setlength{\footlinesk}{3mm * \ratio{128mm}{254mm}}
\newlength{\footlinetitleht}
\setlength{\footlinetitleht}{80mm * \ratio{128mm}{254mm} - \footlinedp}


% LOGO
\newlength{\logolw}
\setlength{\logolw}{\footlinedp - 2.392mm * \ratio{128mm}{254mm}}

\pgfdeclareimage[width=7mm]{leftlogo}{/usr/share/texmf-dist/tex/latex/beamer/iutbmfigures/icon_iutbm_informatique}
\pgfdeclareimage[width=20mm]{rightlogo}{/usr/share/texmf-dist/tex/latex/beamer/iutbmfigures/icon_univfcomte}

\newlength{\footlinetextwd}
\setlength{\footlinetextwd}{140pt}


\newlength{\numberwd}
\setlength{\numberwd}{20pt}

% DRAW COLOREDBOX
\defbeamertemplate*{footline}{iutbm}
{
	\ifnum \insertpagenumber=1
		\begin{beamercolorbox}[wd=\paperwidth,dp=\footlinedp,ht=\footlinetitleht,
			leftskip=\footlinesk,
			rightskip=\footlinesk]{footline}%

			\hspace{3.3mm}
			\includegraphics[width=11mm]{/usr/share/texmf-dist/tex/latex/beamer/iutbmfigures/icon_iutbm_informatique}
			\vspace{3.6mm}

			\hspace{4.2mm}
			\includegraphics[width=24mm]{/usr/share/texmf-dist/tex/latex/beamer/iutbmfigures/icon_iutbm}
			\vspace{7.1mm}

			\hspace{6mm}
			\includegraphics[width=24mm]{/usr/share/texmf-dist/tex/latex/beamer/iutbmfigures/icon_univfcomte}
			
			\end{beamercolorbox}%

	\else
		\begin{beamercolorbox}[wd=\paperwidth,dp=\footlinedp,ht=\footlineht,
			leftskip=\footlinesk,
			rightskip=\footlinesk]{footline}%
			\usebeamerfont{title in head/foot}% 
			\lower\logolw\hbox{\pgfuseimage{leftlogo}}%
			\hspace*{-18mm}
			\makebox[\footlinetextwd][c]{\insertshortdate}%
			\makebox[\footlinetextwd][c]{\insertshorttitle}%
			\hspace*{-2mm}
			\makebox[\numberwd][r]{\insertframenumber}%
			\hspace*{4mm}
			\lower\logolw\hbox{\pgfuseimage{rightlogo}}%
		\end{beamercolorbox}%
	\fi
}

\defbeamertemplate*{frametitle}{iutbm}
{
	\vspace{16pt}
	% Set depth=0pt to avoid body position from depending on whether title
	% text has any depth or not.
	\begin{beamercolorbox}[dp=0pt,leftskip=\titlelf]{title}
		\usebeamerfont{frametitle}%
		\insertframetitle 
	\end{beamercolorbox}
}


\defbeamertemplate*{navigation symbols}{iutbm}{}

\defbeamertemplate*{frametitle continuation}{iutbm}{
	(\insertcontinuationcountroman)
}

\mode
<all>
